Available in Classic and VPC
View the API created and deployed in a product using the API key-related parameters in the dashboard.
Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
|---|---|
| GET | /api/v1/dashboards/api-keys/{api-key-id}/products/{product-id}/api-ids |
Request headers
For information about the headers common to all API Gateway APIs, see API Gateway request headers.
Request path parameters
The followYou can use the following path parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
api-key-id |
String | Required | API key ID associated with the product |
product-id |
String | Required | Product ID associated with the API |
Request query parameters
The following describes theYou can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
regions |
List[String] | Optional | Region to view APIs for
|
offset |
Long | Optional | Starting point in the list of data to view
|
limit |
Long | Optional | Number of data to view at once
|
from |
String | Required | Query start date
|
to |
String | Required | Query end date
|
timeZone |
String | Required | Time zone (+09:00) |
Request example
The following is a sample request.
curl -X GET 'https://apigateway.apigw.ntruss.com/api/v1/dashboards/api-keys?from=2024-05-09&to=2024-05-09&timeZone=%2B09%3A00' \
--header 'Content-Type: application/json' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
The following describes the response format.
Response syntax
The response syntax is as follows.
{
"apis": {
"content": [
{
"apiId": "apiId",
"apiName": "apiName",
"deleted": true
}
],
"total": 0
}
}
Response status codes
For information about the HTTP status codes common to all API Gateway APIs, see API Gateway response status codes.
Response example
The following is a sample response.
{
"apis": {
"content": [
{
"apiId": "*****vcqwb",
"apiName": "api-***",
"deleted": true
}
],
"total": 1
}
}